import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 11.01.2011
  * @author claus albowski
  */

public class GuiTabelle extends JFrame {
  // Anfang Attribute
  private JScrollPane jScrollPane1 = null;
  private TableModel modell = null;
  private JTable tabelle = null;
  // Ende Attribute

  public GuiTabelle(String title) {
    // Frame-Initialisierung
    super(title);
    setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten

    // Konstruktion der ScrollPane:
    modell = new TabellenModell();
    tabelle = new JTable(modell);
    jScrollPane1 = new JScrollPane(tabelle);
    jScrollPane1.setBounds(16, 24, 249, 129);
    cp.add(jScrollPane1);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden
  // Ende Methoden
  
  // Interne Klasse fuer das Tabellen-Modell
  private static class TabellenModell extends AbstractTableModel {
    String[] spaltenNamen = { "Name", "Alter" };
    Object[][] daten = { { "Olli", new Integer(34) }, { "Kuno", new Integer(12) },
                { "Herta", new Integer(40) }, { "Frieda", new Integer(22) },
                { "Dieter", new Integer(47) }, { "Walter", new Integer(76) },
                { "Doren", new Integer(15) }, { "Tino", new Integer(7) },
                { "Edeltraut", new Integer(40) } };

    public String getColumnName(int col) {
      return spaltenNamen[col];
    }

    public int getRowCount() {
      return daten.length;
    }

    public int getColumnCount() {
      return spaltenNamen.length;
    }

    public Object getValueAt(int row, int col) {
      return daten[row][col];
    }

    public boolean isCellEditable(int row, int col) {
      return true;
    }

    public void setValueAt(Object value, int row, int col) {
      daten[row][col] = value;
      fireTableCellUpdated(row, col);
    }
  }

  public static void main(String[] args) {
    new GuiTabelle("GuiTabelle");
  }
}
